Loading...
Searching...
No Matches
Dune::CheckIfDiagonalPresent< Matrix, blocklevel, l > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Sparse Matrix and Vector classes

Check whether the a matrix has diagonal values on blocklevel recursion levels. More...

`#include <dune/istl/matrixutils.hh>`

Inheritance diagram for Dune::CheckIfDiagonalPresent< Matrix, blocklevel, l >:

## Static Public Member Functions

static void | check (const Matrix &mat)
| Check whether the a matrix has diagonal values on blocklevel recursion levels.

## Detailed Description

template<class Matrix, std::size_t blocklevel, std::size_t l = blocklevel>
struct Dune::CheckIfDiagonalPresent< Matrix, blocklevel, l >

Check whether the a matrix has diagonal values on blocklevel recursion levels.

## Member Function Documentation

## check()

template<class Matrix, std::size_t blocklevel, std::size_t l = blocklevel>

void Dune::CheckIfDiagonalPresent< Matrix, blocklevel, l >::check | ( | const Matrix & | mat | ) |

inline static

Check whether the a matrix has diagonal values on blocklevel recursion levels.

The documentation for this struct was generated from the following file:

- matrixutils.hh